Bug 91418 - AGAIN! All text and graphics disappeared after saving and closing document.
Summary: AGAIN! All text and graphics disappeared after saving and closing document.
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: x86-64 (AMD64) All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:doc
Depends on:
Blocks: DOC
  Show dependency treegraph
 
Reported: 2015-05-20 23:15 UTC by h8j18k24p4s2
Modified: 2018-11-29 08:57 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Page with disappearing text boxes and image (45.00 KB, application/msword)
2015-05-21 18:09 UTC, h8j18k24p4s2
Details
bt from a breakpoint (11.74 KB, text/plain)
2015-05-21 21:04 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description h8j18k24p4s2 2015-05-20 23:15:31 UTC
This is really getting out of hand. I had another document saved as a .doc file and have been working on it for several hours today. This document also had text boxes and a photo. I saved the document one more time and closed it. Then I checked my e-mail where I saw the "resolution" of the last bug I filed, which said I should save any future documents as .odt files. With the intention of doing just that, I reopened the document immediately, and the whole stinking thing was blank! Not one thing was on the page. Every text box was gone, as was the photo. I didn't have a chance to save it as an .odt file!

WTF is going on with LibreOffice that things keep disappearing? These two documents represent DAYS of work...gone.
Comment 1 MM 2015-05-20 23:56:38 UTC
Could you upload the file for examining ? Or if the file contains confidential data maybe you should contact a dev through IRC. And he/she can examine the file for you and maybe fix it ?!
Comment 2 Adolfo Jayme 2015-05-21 01:59:41 UTC
Marking as NEEDINFO until the requested file is provided.
Comment 3 h8j18k24p4s2 2015-05-21 18:09:04 UTC
Created attachment 115782 [details]
Page with disappearing text boxes and image
Comment 4 h8j18k24p4s2 2015-05-21 18:09:23 UTC
Happy to attach it, but I'm sure it won't help - it's a .doc file, as I said, and it's blank. In addition to everything disappearing, it lost the second page (which didn't have anything written on it, but it was there) as well between saving, closing, and opening it again.

Additional note: I tried just now to start working on the same document again, as the page was blank, so I thought I'd start over. I added a text box in the upper left hand corner, typed in text, made it bold and centered it, then tried to move the text box slightly. It completely disappeared. The "Edit" function (undo text box move, I think it said) seemed to think the text box was there somewhere, but nothing reappeared. This was without saving and closing the document.
Comment 5 h8j18k24p4s2 2015-05-21 20:37:23 UTC
New twist: I downloaded OpenOffice and re-saved the version of the document I'd uploaded to Bugzilla as an .odt file. When I opened it in OpenOffice, all the text reappeared! I added a couple of things then looked at it in Page Preview and - nothing. Blank page. Exported it as a .pdf - blank page. Closed it and re-opened the same .odt document in LibreOffice - blank page. Closed and re-opened again in OpenOffice - all there, except not in Page Preview. Took screen shots out of curiosity, pasted them into a new OpenOffice .odt document - shows up just fine, including in Page Preview and when exported as a .pdf. Opened the .odt screenshot in LibreOffice, and all it showed was two boxes with a note in the upper left corners: "graphics1" and "graphics2."

So for the .odt document, LibreOffice shows nothing, OpenOffice shows all text except in Page Preview. Any ideas are welcome, and thanks.
Comment 6 Julien Nabet 2015-05-21 21:03:48 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
I noticed these 2 logs on console:
warn:sot:5471:1:sot/source/sdstor/stgdir.cxx:425: Trying to resize readonly stream by seeking, could be a wrong offset: 7733
warn:sot:5471:1:sot/source/sdstor/stgdir.cxx:425: Trying to resize readonly stream by seeking, could be a wrong offset: 7733
Comment 7 Julien Nabet 2015-05-21 21:04:45 UTC
Created attachment 115784 [details]
bt from a breakpoint
Comment 8 Julien Nabet 2015-05-21 21:08:58 UTC
Michael: sorry to cc you since I suppose you must work on VclPtr related bugs but could you confirm that it's indeed related to tdf#47148 or did I just misunderstand the real problem? (I attached console logs and bt)
Bonus question: do you know if something is planned about tdf#47148 (which seems more like a metabug)?
Comment 9 MM 2015-05-22 12:29:24 UTC
In tdf#47148 the problem was that there are missing images. In this one, everything is gone, including frames and text.

I converted the doc to docx with an onlineconverter. Then I could see most of the frames and text again (bit misplaced but...). So it is actually saved, but fails on loading or so.
Comment 10 Michael Meeks 2015-05-22 13:08:04 UTC
odd; if this is a regression - I guess it could be some file-format import crasher fix that causes an exception to be thrown on bad data (if it previously worked) which (I conjecture) stops the filter from continuing its work.

That's not helpful I guess, but I'd not mark it as an image management shambols, but more of an import issue.
HTH.
Comment 11 MM 2015-05-22 23:25:33 UTC
(In reply to Michael Meeks from comment #10)
> odd; if this is a regression - I guess it could be some file-format import
> crasher fix that causes an exception to be thrown on bad data (if it
> previously worked) which (I conjecture) stops the filter from continuing its
> work.

Well, I don't think it is a regression. LO 3.3.4 couldn't read it correctly either. Already put the earliest affected version to 'inherited from Ooo' but someone put it back. 

> That's not helpful I guess, but I'd not mark it as an image management
> shambols, but more of an import issue.
> HTH.

Tried to open the file with wordviewer under win 10 and had no problem opening/reading the file. So yes, it could be an import issue.
Comment 12 Telesto 2016-12-06 13:49:05 UTC
Still reproducible with:
Version: 5.4.0.0.alpha0+
Build ID: 33f5bc54aaa7fe7aa9335726e30f9c349155e04d
CPU Threads: 4; OS Version: Windows 6.2; UI Render: default; 
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2016-12-01_23:21:05
Locale: nl-NL (nl_NL); Calc: CL

File does show an image with:
Versie 4.0.0.3 (Bouw-id: 7545bee9c2a0782548772a21bc84a9dcc583b89)
Comment 13 QA Administrators 2017-12-10 16:42:10 UTC Comment hidden (obsolete, spam)
Comment 14 Telesto 2018-06-25 18:50:20 UTC
Repro
Version: 6.2.0.0.alpha0+
Build ID: 7414e07f52af87094240f5c3d9a0eb764e8642f5
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-06-24_01:44:59
Locale: nl-NL (nl_NL); Calc: CL
Comment 15 Richard Chen 2018-11-29 08:57:13 UTC
Still reproducible with this version:

Version: 6.3.0.0.alpha0+ (x64)
Build ID: 0f25a3c36f27fd51453b9a9115f236b83c143684
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-27_20:06:55
Locale: zh-TW (zh_TW); UI-Language: en-US
Calc: threaded